#
# opal_inc.mak
#
# Make symbols include file for Open Phone Abstraction library
#
# Copyright (c) 2001 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Revision: 19674 $
# $Author: dsandras $
# $Date: 2008-03-05 20:37:40 +0000 (Wed, 05 Mar 2008) $
#

OPALDIR=/home/release/opal
PTLIBDIR=/home/release/opal/../ptlib

LIBDIRS += $(OPALDIR)

ifdef LIBRARY_MAKEFILE
include $(PTLIBDIR)/make/unix.mak
else
ifdef NOTRACE
OBJDIR_SUFFIX := n
endif
include $(PTLIBDIR)/make/ptlib.mak
endif

OPAL_SRCDIR = $(OPALDIR)/src
OPAL_INCDIR = $(OPALDIR)/include
OPAL_LIBDIR = $(OPALDIR)/lib

OPAL_ZRTP         = 
OPAL_SIP          = 1
OPAL_H323         = 1
OPAL_IAX2         = 1
OPAL_LID	  = 1
OPAL_IVR	  = 1
OPAL_H224         = 1
OPAL_SYSTEM_SPEEX = 
OPAL_SRTP	  = 
OPAL_RFC4175	  = 1
OPAL_AEC          = 1
HAS_LIBSRTP	  = 

H323_H460         = @H323_H460@

ifdef NOTRACE
STDCCFLAGS += -DPASN_NOPRINTON -DPASN_LEANANDMEAN
OPAL_SUFFIX = n
else
STDCCFLAGS += -DPTRACING
RCFLAGS	   += -DPTRACING
OPAL_SUFFIX = $(OBJ_SUFFIX)
endif


OPAL_BASE  = opal_$(PLATFORM_TYPE)_$(OPAL_SUFFIX)
OPAL_FILE  = lib$(OPAL_BASE)$(LIB_TYPE).$(LIB_SUFFIX)

LDFLAGS	    += -L$(OPAL_LIBDIR)
LDLIBS	    := -l$(OPAL_BASE)$(LIB_TYPE) $(LDLIBS)

STDCCFLAGS  += -I$(OPAL_INCDIR)

ifeq ($(OPAL_ZRTP), 1)
#ENDLDLIBS      := -lzrtp $(ENDLDLIBS)
#STDCCFLAGS	+= -DBUILD_ZRTP_MUTEXES -DOPAL_ZRTP -DHAS_LIBZRTP
STDCCFLAGS	+= -DBUILD_ZRTP_MUTEXES -DHAS_LIBZRTP
STDCCFLAGS  	+= -I -I
endif

ifeq ($(HAS_LIBSRTP), 1)
ENDLDLIBS       := -lsrtp $(ENDLDLIBS)
endif

ifeq ($(OPAL_SYSTEM_SPEEX), 1)
ENDLDLIBS       := -lspeex $(ENDLDLIBS)
endif

$(TARGET) :	$(OPAL_LIBDIR)/$(OPAL_FILE)

ifndef LIBRARY_MAKEFILE

ifdef DEBUG
$(OPAL_LIBDIR)/$(OPAL_FILE):
	$(MAKE) -C $(OPALDIR) debug
else
$(OPAL_LIBDIR)/$(OPAL_FILE):
	$(MAKE) -C $(OPALDIR) opt
endif

libs :: $(OPAL_LIBDIR)/$(OPAL_FILE)

ifeq ($(OPAL_ZRTP), 1)
ENDLDLIBS	:= -lzrtp -lbn $(ENDLDLIBS)
endif

endif


# End of file

